Bug 187612 - imap Maildir & multiple email cliients
imap Maildir & multiple email cliients
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-01 14:22 EST by W Agtail
Modified: 2014-01-21 17:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-02 16:21:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description W Agtail 2006-04-01 14:22:41 EST
Description of problem:
muliple email clients (thunderbird & evolution) use different Maildir dirs &
file names on imap mail server.

RPMs used on mail server:
postfix-2.2.8-1.2
dovecot-1.0-0.beta2.7

Config changes for postfix:
vi /etc/postfix/main.cf    # change the following parameters
inet_interfaces = $myhostname
mydestination = $myhostname, localhost.$mydomain, localhost, $mydomain
relayhost = $mydomain
home_mailbox = Maildir/

Config changes for dovecot:   # change the following parameters
   . vi /etc/dovecot.conf
protocols = imaps
mail_debug = yes
default_mail_env = maildir:/home/%u/Maildir


thunderbird email client uses following dir/file names:
# ls -aR /home/bill/Maildir/
/home/bill/Maildir/:
.  ..  cur  dovecot.index  dovecot.index.cache  dovecot.index.log 
dovecot-uidlist  new  .Sent  subscriptions  tmp  .Trash

/home/bill/Maildir/cur:
.  ..  1143915342.Vfd00I1064dM879866.xen3.home.ie:2,ST 
1143915366.Vfd00I1066eM668105.xen3.home.ie:2,S 
1143917333.Vfd00I10682M817821.xen3.home.ie:2,

/home/bill/Maildir/new:
.  ..

/home/bill/Maildir/.Sent:
.  ..  cur  dovecot.index  dovecot.index.cache  dovecot.index.log 
dovecot-uidlist  new  tmp

/home/bill/Maildir/.Sent/cur:
.  ..  1143917150.P2178Q0M290104.xen3.home.ie:2,S 
1143917553.P2178Q1.xen3.home.ie:2,S

/home/bill/Maildir/.Sent/new:
.  ..

/home/bill/Maildir/.Sent/tmp:
.  ..

/home/bill/Maildir/.Trash:
.  ..  cur  dovecot.index  dovecot.index.cache  dovecot.index.log 
dovecot-uidlist  new  tmp

/home/bill/Maildir/.Trash/cur:
.  ..  1143915509.P1985Q0M559824.xen3.home.ie:2,S

/home/bill/Maildir/.Trash/new:
.  ..

/home/bill/Maildir/.Trash/tmp:
.  ..


evolution email client uses following dir/file names:
# ls -aR /home/fred/Maildir/
/home/fred/Maildir/:
.  ..  cur  dovecot.index  dovecot.index.cache  dovecot.index.log 
dovecot-uidlist  new  subscriptions  tmp  .Trash

/home/fred/Maildir/cur:
.   1143916509.Vfd00I10677M485750.xen3.home.ie:2,S 
1143916899.Vfd00I10649M898396.xen3.home.ie:2,S
..  1143916556.Vfd00I1067cM547497.xen3.home.ie:2,S 
1143917558.Vfd00I10683M822983.xen3.home.ie:2,ST

/home/fred/Maildir/new:
.  ..

/home/fred/Maildir/tmp:
.  ..

In summary
thunderbird createa a .Trash dir for deleted email.
evolution does not & some how marks the email deleted, but keeps email in
~/Maildir/cur dir on IMAP server. A thunderbird client is then unable to find
deleted emails.

thunderbird creates a .Sent dir for send email.
evolution creates a local dir. A thunderbird client is then unable to find
delete emails.

Would it be possible to have a standard dir/file name spec that all IMAP email
clients use?

many thanks.
Comment 1 W Agtail 2006-04-01 15:00:25 EST
Squirrelmail & Thunderbird have the same dir/file name standard. So it appears
Evolution is not following the same dir/file name standard?

Config changes for Squirrelmail:   # change the following parameters
diff config.php config.php.orig | grep "<"
< $config_use_color = 2;
< $imapPort               = 993;
< $imap_server_type       = 'other';
< $use_imap_tls = true;

Comment 2 Timo Sirainen 2006-04-02 10:21:16 EDT
There are no mailbox naming standards in IMAP. Also the whole Trash mailbox
concept is frowned upon by IMAP people, so Evolution is rather doing the "right
thing" by not using it.

In any case Dovecot can't do anything about this, this is completely
client-specific issue.
Comment 3 Petr Rockai 2006-04-02 16:21:28 EDT
What Timo says. Nothing to do with imap server (dovecot), completely 
client-side issue.

Note You need to log in before you can comment on or make changes to this bug.